package com.ruoyi.hywz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.hywz.entity.AdsMatHyxtTaskSendMsgD;

import java.util.List;

/**
 * <p>
 * 定时提醒任务表 服务类
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-04-15 11:23:49
 */
public interface IAdsMatHyxtTaskSendMsgDService extends IService<AdsMatHyxtTaskSendMsgD> {

    AdsMatHyxtTaskSendMsgD openTask(String applyId, String nodeLabel, String msg, SysUser owner);

    void closeOtherTask(String applyId, String nodeLabel);

    List<AdsMatHyxtTaskSendMsgD> getTask(Integer status);

    void closeTask(String applyId);

}
